#ifndef __BEWEGUNG_ANALYSE_THREAD_H
#define __BEWEGUNG_ANALYSE_THREAD_H

//#include <wiimote_event.h>
#include <vdr/thread.h>
//#include <wiimote.h>
#include <wiimote_api.h>

#include "bewegung_setup.h"
#include "bewegung_config.h"

class cBewegungAnalyseThread: public cThread {
 private:
  bool m_Active;
  time_t m_lastUpdate;
  void check(void);
  void reset(void);

 protected:
  virtual void Action(void);
  void Stop(void);
 public:

  static cBewegungAnalyseThread *m_Instance;
  static cBewegungAnalyseThread *getInstance(void);
  cBewegungAnalyseThread(void);
  virtual ~cBewegungAnalyseThread();
  static void Init(void);
  static void Exit(void);
  static cCondVar update;
  cMutex mutex;
};

#endif 
