#ifndef __BEWEGUNG_READER_THREAD_H
#define __BEWEGUNG_READER_THREAD_H

//#include <wiimote_event.h>
#include <vdr/thread.h>
//#include <wiimote.h>
#include <wiimote_api.h>

#include "bewegung_setup.h"
#include "bewegung_config.h"
#include "bewegung_reader.h"

class cBewegungReaderThread: public cThread {
 private:
  bool m_Active;
  time_t m_lastUpdate;

 protected:
  virtual void Action(void);
  void Stop(void);
 public:
  //at the moment only one wiimote is supported
  static wiimote_t wiimote;
  static t_motionValues motionValues;

  static cBewegungReaderThread *m_Instance;
  static cBewegungReaderThread *getInstance(void);
  cBewegungReaderThread(void);
  virtual ~cBewegungReaderThread();
  int Connect(void);
  int Disconnect(void);
  static void Init(void);
  static void Exit(void);
};

#endif 
